Connexion

Forum

Environnements Graphiques » Autres environnements [Réglé] OpenBox Trouver obconf-2.0.4-4.mga5.i586

lesnoblets Membre non connecté

Rang

Avatar

Inscrit le : 14/12/2015 à 23h32

Messages: 12

Le 15/12/2015 à 18h42
Bonjour.
J'ai installé Openbox mais à la fin de l'installation je reçois un message me demandant de mettre à jour la source des paquets pour pouvoir installer obconf-2.0.4-4.mga5.i586 ! Quelle source faut-il rajouter ?
La sélection Openbox est présente au login mais sa sélection n'aboutit pas. Reboot obligé !
   
lesnoblets Membre non connecté

Rang

Avatar

Inscrit le : 14/12/2015 à 23h32

Messages: 12

Le 15/12/2015 à 19h10
Pour compléter mon premier message car je n'ai pas le droit de l'éditer. Voici l'écran que j'obtiens à la fin de l'installation :

Le paquet « obconf-2.0.4-4.mga5.i586 » a été trouvé.
Cependant ce paquet n'est pas dans la liste des paquets.
Vous devriez probablement mettre à jour vos médias.

Paquets semblables :

- obconf-2.0.4-4.mga5.x86_64 (média : Aucun (installé))
- obconf-qt-0.1.1-0.20141024.4.mga5.i586 (média : Core 32bit Release)
- obconf-qt-0.1.1-0.20141024.4.mga5.x86_64 (média : Core Release)

J'ai aussi cliqué sur la sélection "Mise à jour des médias" mais cela n'a rien changé.
   
lebarhon Membre non connecté

Rang

Avatar

Équipe Mageia Membre d'Honneur

Inscrit le : 09/10/2010 à 14h18

Localisation : Normandie

Messages: 4092

Le 15/12/2015 à 19h18
Bonjour,
Il s'agit surement de cela
https://wiki.mageia.org/en/Gestion_des_logiciels-fr


CM Asus Z77-A+i5-2500K+GeForceGT520+RAM8Go
SSD Crucial M4+SSD Samsung EVO
Mageia 6 64 bits
   
lesnoblets Membre non connecté

Rang

Avatar

Inscrit le : 14/12/2015 à 23h32

Messages: 12

Le 15/12/2015 à 20h12
Merci bien. Mais cette belle documentation ne me dit pas quel dépôt je dois ajouter. Je vais continuer à chercher.
   
Visiteur

Visiteur

Rang

Avatar

Message : 0

Le 15/12/2015 à 21h26
Bonsoir,

https://madb.mageia.org/package/show/source/1/name/obconf

https://madb.mageia.org/rpm/show/source/1/name/obconf-2.0.4-4.mga5.src.rpm/release/5/arch/i586/t_media/3

Le rpm est bien présent via ccm:



Je pense que vous devriez trouver votre bonheur :)

Cordialement;

Vigen. Edité par Visiteur Le 15/12/2015 à 21h31
   
lesnoblets Membre non connecté

Rang

Avatar

Inscrit le : 14/12/2015 à 23h32

Messages: 12

Le 15/12/2015 à 22h50
Pour un initié mon problème doit être dérisoire mais pour un débutant comme moi, c'est incompréhensible. Je vais essayer d'expliquer ce que je crois comprendre ou non du message de fin d'installation de Openbox (j'ai la même difficulté pour Cinnamon).

Le paquet « obconf-2.0.4-4.mga5.i586 » a été trouvé.
-->Super le paquet nécessaire est trouvé. Mais je suis sur une architecture X86-64 et non i586 (32 bits). Mais bon, cela est peut-être nécessaire.
Cependant ce paquet n'est pas dans la liste des paquets.
--> Ah ! On l'a trouvé mais il n'est pas là. Dommage.
Vous devriez probablement mettre à jour vos médias.
--> D'accord mais comment ? J'ai utilisé "Configurer les sources pour installer et mettre à jour des logiciels". Mais je ne sais pas quoi choisir.

Paquets semblables :

- obconf-2.0.4-4.mga5.x86_64 (média : Aucun (installé))
--> ce paquet semble donc installé.
- obconf-qt-0.1.1-0.20141024.4.mga5.i586 (média : Core 32bit Release)
--> ce paquet n'est pas installé mais comment faire pour le trouver ?
- obconf-qt-0.1.1-0.20141024.4.mga5.x86_64 (média : Core Release)
--> ce paquet n'est pas installé mais comment faire pour le trouver ?

Voilà les questions que je me posent (à tort peut-être) ?
   
admel Membre non connecté

Rang

Avatar

Équipe Mageia Membre d'Honneur

Inscrit le : 21/09/2014 à 10h27

Localisation : Nord

Messages: 1074

Le 15/12/2015 à 23h37

Bonsoir,

Allez dans CCM > Configurer les sources pour installer et mettre à jour des logiciels > cocher Core 32bit Release, Nonfree 32bit release et Tainted 32bit release.
Quitter puis CCM > Mettre à jour votre système > Appliquer.
Ensuite aller dans CCM > Installer et désinstaller des logiciels > Obconf > Appliquer

Toutefois, en relisant vos messages il semblerait qu'il y ait une confusion entre le choix de l'architecture. Votre machine est en 32bits ou 64bits ? Pour être sûr, ouvrir un terminal et taper uname -r.
Le premier message laisse-t-a penser que c'est un 32bits, le reste du 64.
En fonction de votre architecture, choisir le paquet en conséquence.
Pour laisser la « machine » choisir ce qui lui convient, ouvrir un terminal et taper urpmi obconf.

Et pour bien configurer ses sources, se référer au lien donné par lebarhon.

Librement,

Visiteur

Visiteur

Rang

Avatar

Message : 0

Le 15/12/2015 à 23h39
Il n'ya pas de questions idiotes :)

Comment sont configurés vos sources de mises a jour svp?

Lancer le ccm, puis "Configurer les sources pour installer et mettre à jour des logiciels".

Edit: Admel (que je salue) a était plus rapide que moi ^^ Edité par Visiteur Le 15/12/2015 à 23h40
   
lesnoblets Membre non connecté

Rang

Avatar

Inscrit le : 14/12/2015 à 23h32

Messages: 12

Le 16/12/2015 à 09h30
Bonjour et merci pour vos réponses. Je vais mettre en œuvre vos prescriptions. La commande uname -r me renvoie :
4.1.13-desktop-2.mga5
   
lesnoblets Membre non connecté

Rang

Avatar

Inscrit le : 14/12/2015 à 23h32

Messages: 12

Le 16/12/2015 à 10h11
Super et merci. Open box fonctionne.
Lorsque l'on fait une modification par "Configurer les sources pour installer et mettre à jour des logiciels" on doit ensuite utiliser "Mettre à jour votre système" pour que les modifications soient prises en compte ?
Dernière question
A la fin de l'installation d'Openbox une fenêtre concernant les paquets orphelins s'affiche avec le message "Vous pouvez, si vous le souhaitez, les effacer".
Cela veut-il dire qu' en cliquant sur OK, ces paquets seront effacés ou faut-il faire une autre action ultérieurement ?
   
Visiteur

Visiteur

Rang

Avatar

Message : 0

Le 16/12/2015 à 10h29
Non, les paquets orphelins ne seront pas effacés automatiquement. Si tu souhaites faire le ménage, il faut utiliser la commande
Code BASH :
urpme --auto-orphans
   
magnux77 Membre non connecté

Rang

Avatar

Inscrit le : 21/09/2009 à 11h49

Localisation : Champs-sur-Marne France

Messages: 5071

Le 16/12/2015 à 14h50
Mais sois sûr de ton coup !

Certains ont vus leur interface graphique disparaître complètement.

Si tu n'es pas sûr, laisse tomber. Quelques Mo dans / et qui ne ralentissent même pas le système.


...depuis Mandrake 7
Membre de l'April - « promouvoir et défendre le Logiciel Libre»
Soutien Framasoft - « Changer le monde, un octet à la fois»
Config n°1 : cpu=AMD64x6 mem=16G SSD=64G HDD=1T OS=Mageia7-64 DE=Xfce, Config n°2 : Dell Latitude E6410 SSD=120G OS=Mageia7 DE=Xfce, Config n°3 : ThinkpadR40 SSD=32G OS=[Manjaro, Parabola, Mageia6] DE=Xfce, Config n°4 : EeePC901 SSD=20Gb, OS=[SliTaz5/Lxde, Mageia6/Xfce]
   
admel Membre non connecté

Rang

Avatar

Équipe Mageia Membre d'Honneur

Inscrit le : 21/09/2014 à 10h27

Localisation : Nord

Messages: 1074

Le 16/12/2015 à 17h02

Bonjour,

Lorsque l'on fait une modification par "Configurer les sources pour installer et mettre à jour des logiciels" on doit ensuite utiliser "Mettre à jour votre système" pour que les modifications soient prises en compte ?

Non obligatoire, mais préférable.

Pour les paquets orphelins, comme le dit Magnux77, la commande urpme --auto-orphans est à éviter (sauf si ton système est tout frais et que tu utilises cette commande après chaque désinstallation. Mais quand même, il vaut mieux être prudent).

Je me suis par contre trompé dans la commande que je t'ai donné plus haut. Il faut remplacé l'option -r par -i, cette dernière donne l'architecture de ton système. Au plus simple faire avec l'option -a, mais là tout est affiché.

Edité par admel Le 16/12/2015 à 17h03
magnux77 Membre non connecté

Rang

Avatar

Inscrit le : 21/09/2009 à 11h49

Localisation : Champs-sur-Marne France

Messages: 5071

Le 16/12/2015 à 17h23
lesnoblets :
Lorsque l'on fait une modification par "Configurer les sources pour installer et mettre à jour des logiciels" on doit ensuite utiliser "Mettre à jour votre système" pour que les modifications soient prises en compte ?


Par "Configurer les sources pour installer et mettre à jour des logiciels", il faut comprendre configurer les sources pour pouvoir installer et mettre à jour votre système. Donc cette opération ni n'installe quoi que ce soit, ni ne met à jour le système, on modifie la désignation des dépôts, c'est tout.



Une fois les sources configurés, pour mettre à jour effectivement il faut

- "Mettre à jour votre système" qui va détecter, pour ce qui est installé, les différences entre le dépôts et ton système et proposer la mise à jour si nécessaire.

- ou attendre 5 minutes (par défaut ou le temps spécifiquement modifié) que l'applet MageiaUpdate fasse la même chose et balance le point d'exclamation rouge pour indiquer la présence de mises à jour. Edité par magnux77 Le 16/12/2015 à 17h36


...depuis Mandrake 7
Membre de l'April - « promouvoir et défendre le Logiciel Libre»
Soutien Framasoft - « Changer le monde, un octet à la fois»
Config n°1 : cpu=AMD64x6 mem=16G SSD=64G HDD=1T OS=Mageia7-64 DE=Xfce, Config n°2 : Dell Latitude E6410 SSD=120G OS=Mageia7 DE=Xfce, Config n°3 : ThinkpadR40 SSD=32G OS=[Manjaro, Parabola, Mageia6] DE=Xfce, Config n°4 : EeePC901 SSD=20Gb, OS=[SliTaz5/Lxde, Mageia6/Xfce]
   
lesnoblets Membre non connecté

Rang

Avatar

Inscrit le : 14/12/2015 à 23h32

Messages: 12

Le 18/12/2015 à 11h07
Bonjour. Merci pour ces renseignements. La commande uname -i renvoie X86_64. Je suis donc en 64 bits.
   
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie